Notifications
Update one notification preference
PATCH
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthkind*stringValue in
"publication_published""publication_failed""publication_ambiguous"- body
inAppEnabled*booleanResponse for status 200
application/json- response
kind*stringValue in
"publication_published""publication_failed""publication_ambiguous"inAppEnabled*booleancurl -X PATCH 'https://postbot.example/api/projects/string/notification-preferences/publication_published' \
-H 'Content-Type: application/json' \
-d '{
"inAppEnabled": true
}'Example Response
{
"kind": "publication_published",
"inAppEnabled": true
}